Planned maintenance on our support platform on 08/02/2014

Our support platform could be unavailable from about 11:30 AM to 12:30 PM GMT on the 8th of February 2014, due to a hardware upgrade. We apologize for any inconvenience this may cause and we would like to thank you for your understanding.

Currency Switcher for WooCommerce 1.6/2.0.x updated to version 2.5.11.140129

Currency Switcher for WooCommerce 1.6/2.0.x has been updated to version 2.5.11.140129. This update brings the following improvements and fixes:

  • Removed redundant filter wc_aelia_cs_get_selected_currency. Filter woocommerce_currency can be used instead.
  • Improved compatibility with WooCommerce price filter widget.
  • Improved loading of JavaScript and CSS files to reduce clashes with other plugins.
    Read more

Blacklister for WooCommerce updated to version 0.4.1.140120-beta

Blacklister for WooCommerce has been updated to version 0.4.1.140120-beta. This update brings the following improvements and fixes:

  • Fixed bug that caused an error to occur during plugin activation in some environments. Read more

Currency Switcher for WooCommerce 1.6/2.0.x updated to version 2.5.8.140117

Currency Switcher for WooCommerce 1.6/2.0.x has been updated to version 2.5.8.140117. This update brings the following improvements and fixes:

  • Added new filters:
    • wc_aelia_cs_enabled_currencies. This filter allows to retrieve the list of enabled currencies.
    • wc_aelia_cs_get_selected_currency. This filter allows to retrieve and/or alter the selected currency.
  • Improved compatibility with Opulence theme.
  • Fixed bug in logic used to select the default currency during geolocation detection. Read more

Authipay Gateway for WooCommerce 1.6/2.0.x updated to version 1.0.4.140112

Authipay Gateway for WooCommerce has been updated to version 1.0.4.140112. This update brings the following improvements and fixes:

  • Improved validation of Authipay response.
  • Improved rendering of backend pages to reduce clashes with other plugins. Read more

Blacklister for WooCommerce 2.0.x is now available

A new plugin has been released: Blacklister for WooCommerce 2.0.x will help you keeping fraudsters at bay by blocking the checkout process if the data entered matches the one entered in the blacklist criteria. The plugin is currently in Beta and it’s available free of charge. Its features are basic for the moment, but we are working to extend it and transform it into a complete solution that will help every WooCommerce shop owner to reduce fraudulent activity.

For information about current plugin status, its features and its requirements, please read the product page.

Thank you in advance for using our products, and for all the feedback!